Skip to main content
GET
Retrieve a WhatsApp sender

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

number
string
required

Sender's phone number, digits only.

Example:

"14155550100"

Response

The requested WhatsApp sender.

phone_number
string
required

Sender's phone number in E.164 format.

Example:

"+14155550100"

status
enum<string>
required

Sender registration status with the provider.

Available options:
banned,
connected,
deleted,
disconnected,
flagged,
migrated,
pending,
rate_limited,
restricted,
unknown,
unverified
Example:

"connected"

display_name
string | null

Sender's WhatsApp display name.

Example:

"Wavix"

quality_rating
enum<string> | null

Sender's messaging quality rating.

Available options:
high,
medium,
low,
unknown,
null
Example:

"high"

message_tier
enum<string> | null

Sender's 24-hour outbound messaging limit tier.

Available options:
limit_na,
limit_250,
limit_2k,
limit_10k,
limit_100k,
unlimited,
null
Example:

"limit_2k"